<?php

  if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

  global $sugar_version, $sugar_config, $current_user, $app_strings, $mod_strings;
  
  require_once('modules/EcmStockOperations/EcmStockOperation.php');
  require_once('modules/EcmStockOperations/Forms.php');
  require_once ('include/time.php');
  require_once('include/json_config.php');
  
  $json_config = new json_config();
   
  $focus = new EcmStockOperation();   
  
  if(isset($_REQUEST['record'])) {
    $focus->retrieve($_REQUEST['record']);
  } 
  else {}
  
  require_once('include/MVC/View/SugarView.php');  
 
  if(file_exists('modules/EcmStockOperations/views/view.list.php')) {
  	require_once('modules/EcmStockOperations/views/view.list.php');
	$list = new EcmStockOperationsViewList();
  }
  else {
  	require_once('include/MVC/View/views/view.list.php');
	$list = new ViewList();  
  }
  
  $list->bean = $focus;
//  if(!isset($_REQUEST['search_form_only']) || $_REQUEST['search_form_only'] != "true") require_once('modules/EcmGroupSales/HeaderMenu.php');
  
  $_REQUEST['quantity_from_basic']=1;
  $_REQUEST['quantity_from']=1;
  
  $list->preDisplay();        
  $list->display();

?>